/*-----------------------------------------------------------------------
  Program       : BLKARC.DCL
  Erstellt      : 06.07.1995  KST
  Beschreibung	: Dialog-Definitionen fr Blockarchivierungs-Funktionen
  Dialoge   :
	 BLKARCHIV	 : Archivierungs-Optionen Auswahl
	 BLKRESTORE  : Restore-Optionen Auswahl

  nderungen:
  16.10.02 KST Es werden nicht Gruppen sondern Bibliotheken archiviert.
 ------------------------------------------------------------------------*/


/*--- Standard "OK" --------------*/
ButOk : button {
    label       = "Ok";
    mnemonic    = "O";
    key         = "ok";
	action		= "(actionbl)";
	width		= 10;
    fixed_width = true;
	is_default	= true;
} // ButOk


/*--- Standard "Abbruch" ---------*/
ButCancel: button {
  label          = "Cancel";
  mnemonic       = "A";
  key            = "cancel";
  is_cancel      = true;
  width          = 10;
  fixed_width    = true;
} // ButCancel

/*--- Standard "Hilfe" -----------*/
ButHelp : button {
  label 	  = "Help";
  mnemonic	  = "H";
  key		  = "help";
  width 	  = 10;
  fixed_width = true;
} // ButHelp

/*--- Standard "Ok""Abbruch""Hilfe" ----*/
ButOkCancelHelp : row {
  spacer_0;
  ButOk;
  ButCancel;
  ButHelp;
  spacer_0;
} // CancelHelp

/*--- Standard "Restore" --------------*/
ButRestore : button {
	label		= "Restore";
	mnemonic	= "R";
	key 		= "restore";
	action		= "(actionbl)";
	width		= 10;
    fixed_width = true;
	is_default	= true;
} // ButOk

spacer_3  : spacer { width = 3; }
spacer_8  : spacer { width = 8; }
spacer_4  : spacer { width = 4; }



// --- Restore-Besttigung ---
BLKRESTORE : dialog {
  label        = "TRICSy  Restore all libraries";
  key		   = label;
  heigth	   = 24;
  fixed_height = true;

  : boxed_column {
	spacer_1;
	: row {
	  : text_part {label = "Existing libraries will be overwritten";}
//  : text_part {label = "  Die vorhandenen Gruppen werden  ";}
	}
	spacer_1;
	:row {
	  : text_part {label = "   during restore operation !   ";}
//  : text_part {label = "   beim Restore berschrieben !   ";}
	}
	spacer_1;
  }
  spacer_1;
  : row {
	spacer_0;
	ButRestore;
	ButCancel;
	spacer_0;
  }
}


// --- Archivierungs-Optionen Auswahl ---
BLKARCHIV : dialog {
  label        = "TRICSy  Archive - Options";
  key		   = label;
  heigth	   = 24;
  fixed_height = true;

  : boxed_row {
	label = "Selection";

	spacer_1;
	: column {

	  : column {
		 : radio_button {
		   label = "Marked library  ";
		   key	 = "gruppe";
		   action	   = "(actionbl)";
		   value = 1;
		 }
		 : radio_button {
		   label = "All libraries";
		   key	 = "alleBlk";
		   action	   = "(actionbl)";
		   value = 0;
		 }
	  } // -- Boxed_Column

	}  // -- Column

	: column {
//		spacer_3;
	   : text_part {
		  label = "";
		  key	="group";
		  width = 22;
		  fixed_width = true;
	   }
	}

  } // -- Row
  spacer_1;

  ButOkCancelHelp;
}

