; MSBLKRES.LSP - 08.06.05		fuer TRICSY-ST
; Restore der Blockverwaltung
; 07.06.96 KST ARJ-Dateien und TSREST.BAT stehen in bvgprog_dir
;
; 05.03.97 KST nderung der DOS-Aufrufe wegen WINDOWS
; 07.04.97 KST DWG.REC und TSMB.OLD werden vor Test auf
;               Vorhandensein dieser Dateien im Archiv im Blockverzeichnis
;               gelscht.
; 10.04.97 KST TSMB.DIR mit Werten aus TSMB.OLD aktualisieren
; 04.06.00 KBO Anpassung Funktion 'anf_cmdstr' an ACAD v15
; 19.04.02 KST nach Restore Bloecke neu numerieren (renumberdwgs) fuer eine
;				Gruppe am Ende des Hauptprog. fuer alle Gruppen in der Funktion
;				tsmb_akt
; 15.11.03 KST neuer Parameter (Lib-Verzeichnis) bei Aufruf, da in BV neue Ebene
; 20.10.04 KST Bibl. werden wiederhergestellt, nicht die Gruppen
;==================================================================

(defun ms:msblkres ( LibVerz BlockFlag / Quelle Gruppe Blk_Dir Batch_File CmdStr
                                 New_Dir Dir_Datei)

  (newerr "ms:msblkres > msblkres")
  (prompt (C_GT "EXTRACTING"))

  ;------------------------------------------------------------------
  ;--- Anf.zeichen in CmdStr setzen ---------------------------------
  (defun anf_cmdstr ( line / ret)
      ; 'line' in Anfuehrungszeichen setzen
      (setq ret (strcat "\"" line "\""))
  )

  ;------------------------------------------------------------------
  ;--- Block-Pfad setzen ----------------------------------------
  (defun blk_pfad ( / CmdStr Blk_dir)
      ;--- richtigen Pfad setzen fr Blockverwaltung
      ;--- Dir_Datei rictig besetzen: TSMB bzw. TSREF
;      (setq Blk_dir (strcase (strcat bvsld_dir "\\" LibVerz)))
      (setq Blk_dir (strcase bvsld_dir))
      (setq Dir_Datei "TSMB")

	(setq GrpDir_File  (strcat Blk_Dir "\\" Dir_Datei ".DIR"))

      ;--- Zum Wiederherstellen mu in das Zielverzeichnis gewechselt werden.
      ;--- auf das richtig Laufwerk wechseln
      (setq CmdStr (substr Blk_dir 1 2))
      (write-line CmdStr Batch_File)

      ;--- Pafd setzen ---
      (setq CmdStr (substr Blk_dir 3))
      (setq CmdStr (anf_cmdstr CmdStr))
      (setq CmdStr (strcat "cd " CmdStr))
      (write-line CmdStr Batch_File)

      (setq ret Blk_Dir)
  ) ; block_pfad

  ;------------------------------------------------------------------
  ;--- Testen, ob Restore einer Gruppe oder aller -------------------
  (defun test_block (Archiv Blk_Dir / CmdStr Verz Gruppe)
      ;--- existiert DWG.REC, dann ist nur eine Gruppe im Archiv
      (setq Verz (findfile (strcat Blk_Dir "\\DWG.REC")))
      ;--- wenn die Datei im Blockverzeichnis existiert,
      ;--- dann wird nur eine Gruppe (='1') entpackt
      (if (eq Verz (strcase (strcat Blk_Dir "\\DWG.REC"))) (progn
          (setq Gruppe "1")
      )(progn
        ;--- andernfalls mssen alle Gruppen berschrieben werden
          (setq Gruppe "0")
      ))
      (setq ret Gruppe)
  ) ; test_block

  ;------------------------------------------------------------------
  ;--- Restore einer Gruppe -----------------------------------------
  (defun grp_rest (Quelle Blk_Dir / Prf_Name Grp_Name CmdStr
                                    File n Datei_Descr l_Liste Group_Dir
                                    Group_Nam)
      ;--- Prfix fr Gruppennamen ---
      (setq Prf_Name "X")
      ;--- Gruppennamen aus DWG.REC lesen ---
      (setq File (open (strcat Blk_Dir "\\DWG.REC") "r"))
      (if File (progn
          (setq Grp_Name (read-line File))
          (close File)
          ;--- Listen fr Gruppennamen und zugehrige DOS-Verzeichnisse erstellen
          (setq l_Liste     (gen_liste GrpDir_File)) ; Liste aus TSMB.DIR erstellen
          (setq Group_Dir (car l_Liste))             ; Liste der DOS-Verzeichnisse
          (setq Group_Nam (cdr l_Liste))             ; Liste der Gruppennamen
          ;--- wenn Gruppenname vorhanden, dann Prfix vor Namen setzen ---
          (if (member Grp_Name Group_Nam) (progn
              (setq Grp_Name (strcat Prf_Name Grp_Name))
          ))
          ;--- Gruppennamen an Gruppenliste anhngen ---
          (setq Group_Nam (append  Group_Nam (list Grp_Name)))
          ;--- Namen fr neues Block-Verzeichnis ermitteln ---
          (setq New_dir   (get_dosnam Group_Dir nil))
          ;--- DOS-Verzeichnisliste mit neuem Namen erweitern
          (setq Group_Dir (append  Group_Dir (list New_Dir)))
          ;--- neue Gruppe in TSMB.DIR eintragen ---
          (setq Datei_Descr (open (strcat Blk_Dir "\\" Dir_Datei ".DIR") "w")
                n  0)
          (repeat (length Group_Dir)
              (write-line (strcat (nth n Group_Dir) " " (nth n Group_Nam))  Datei_Descr)
              (setq n (1+ n))
          )
          (setq Datei_Descr (close Datei_Descr))

          ;--- neues Block-Verzeichnis anlegen ---
          (setq CmdStr New_Dir)
          (setq CmdStr (anf_cmdstr CmdStr))
          (setq CmdStr (strcat "MD " CmdStr))
          (write-line CmdStr Batch_File)

          ;--- in neu angelegtes Verzeichnis wechseln ---
          (setq CmdStr (strcat Blk_Dir "\\" New_Dir))
          (setq CmdStr (anf_cmdstr CmdStr))
          (setq CmdStr (strcat "CD " CmdStr))
          (write-line CmdStr Batch_File)

          ;--- Restore der Archivdateien ---
          (setq CmdStr (strcat (anf_cmdstr (strcat bvprog_dir "\\arj32"))
                               " x " (anf_cmdstr Quelle) " -y"))
          (write-line CmdStr Batch_File)

          ;--- DWG.REC im neuen Verzeichnis lschen ---
          (setq CmdStr (strcat Blk_Dir "\\" New_Dir "\\DWG.REC"))
          (setq CmdStr (anf_cmdstr CmdStr))
          (setq CmdStr (strcat "DEL " CmdStr))
          (write-line CmdStr Batch_File)

          ;--- in Blockverzeichnis wechseln ---
          (setq CmdStr Blk_Dir)
          (setq CmdStr (anf_cmdstr CmdStr))
          (setq CmdStr (strcat "CD " CmdStr))
          (write-line CmdStr Batch_File)

          ;--- DWG.REC im Blockverzeichnis lschen ---
          (setq CmdStr (strcat Blk_Dir "\\DWG.REC"))
          (setq CmdStr (anf_cmdstr CmdStr))
          (setq CmdStr (strcat "DEL " CmdStr))
          (write-line CmdStr Batch_File)
      )) ; if Gruppenname aus DWG.REC gelesen
  ) ; grp_rest


  ;------------------------------------------------------------------
  ;--- Aktionen des Fensters BLKREST ---------------------------------
  (defun actionbl ( / key a )
      (cond
          ((= $key "restore") (done_dialog 1))      ;--- Restore ---
          ((= $key "cancel")  (done_dialog 0))      ;--- kein Restore ---
      ) ; cond
  ) ; actionbl

  ;------------------------------------------------------------------
  ;--- Restore aller Gruppen ----------------------------------------
  (defun all_grp_rest (Quelle Blk_Dir / CmdStr Rest_True fn retvalbl)
      ;--- Abfrage, ob vorhandene Blcke wirklich berschrieben werden sollen ---
      (if (not (findfile (setq fn (strcat bvprog_dir "\\BLKARC.DCL")))) (progn
          (alert (strcat (C_GT "ERR_FIND_DCL_1") fn (C_GT "ERR_FIND_DCL_2")))
          (exit)
      ))

      (if (not  $BLKARC_DCL_ID$) (progn
          (setq $BLKARC_DCL_ID$ (load_dialog fn))
      ))

      (if (not (new_dialog "BLKRESTORE" $BLKARC_DCL_ID$ )) (progn
          (alert (strcat (C_GT "ERR_LOAD_DCL_1") fn (C_GT "ERR_LOAD_DCL_2")))
          (exit)
      ))

      (setq Rest_True (start_dialog))

      ;--- Verarbeitung der Rckgabewerte aus dem Dialogfenster ---
      ;--- wenn Restore durchgefhrt werden soll ---
      (if (= Rest_True 1) (progn
          (if (findfile (strcat Blk_Dir "\\" Dir_Datei ".OLD")) (progn
              (setq OLDOK 1)
          )(progn
              (setq OLDOK 0)
          ))
          ;--- TSMB.DIR/TSREF.DIR im Blockverzeichnis als TSMB.OLD wegschreiben ---
          (setq String1 (anf_cmdstr (strcat Blk_Dir "\\" Dir_Datei ".DIR")))
          (setq String2 (anf_cmdstr (strcat Blk_Dir "\\" Dir_Datei ".OLD")))
          (setq CmdStr (strcat String1 " " String2))
          (setq CmdStr (strcat "COPY " CmdStr))
          (write-line CmdStr Batch_File)

          ;--- Restore der Archivdateien ---
          ;die vorhandenen Blcke werden berschrieben
          (setq String1 (anf_cmdstr (strcat bvprog_dir "\\arj32")))
          (setq String2 (anf_cmdstr Quelle))
          (setq String3 (anf_cmdstr (strcat Dir_Datei ".OLD")))
          (if (= OLDOk 1) (progn
              (setq CmdStr (strcat String1 " x -y " String2 " -X " String3))
          )(progn
              (setq CmdStr (strcat String1 " x -y " String2))
          ))
          (write-line CmdStr Batch_File)
      )) ;if restore
  ) ; all_grp_rest

  ;------------------------------------------------------------------
  ;--- TSMB aktualisierenn ------------------------------------------
  (defun tsmb_akt ( / Prf_Name Liste l_Liste_Old Grp_Nam Grp_Dir Group_Nam
                      Group_Dir Datei_Descr Group_File Gruppe Verz)

      ;--- Prfix fr Gruppennamen ---
      (setq Prf_Name "X")
      (setq Group_File (strcat Blk_Dir "\\" Dir_Datei ".OLD"))

      ;--- TSMB.OLD ---
      ;--- Listen fr Gruppennamen und zugehrige DOS-Verzeichnisse erstellen
      (setq Liste_Old (gen_liste Group_File))  ; Liste aus TSMB.DIR erstellen
      (setq Group_Dir (car Liste_Old))         ; Liste der DOS-Verzeichnisse
      (setq Group_Nam (cdr Liste_Old))         ; Liste der Gruppennamen
      ;--- TSMB.DIR/TSREF.DIR ---
      ;--- Listen fr Gruppennamen und zugehrige DOS-Verzeichnisse erstellen
      (setq l_Liste   (gen_liste GrpDir_File))    ; Liste aus TSMB.DIR erstellen
      (setq Grp_Dir   (car l_Liste))           ; Liste der DOS-Verzeichnisse
      (setq Grp_Nam   (cdr l_Liste))           ; Liste der Gruppennamen
      (setq n         0)

      ;--- fr alle Eintrge in TSMB.DIR/TSREF.DIR ---
      (repeat (length Grp_Dir)
          (setq Gruppe (nth n Grp_Nam))
          (setq Verz   (nth n Grp_Dir))

          ;--- wenn Verzeichnis nicht vorhanden, dann an alte Liste anhngen
          (if (not (member Verz Group_Dir)) (progn
              ;--- wenn Gruppenname vorhanden, dann Prfix vor Namen setzen ---
              (if (member Gruppe Group_Nam) (progn
                  (setq Gruppe (strcat Prf_Name Gruppe))
              ))
              ;--- Gruppennamen an Gruppenliste anhngen ---
              (setq Group_Nam (append  Group_Nam (list Gruppe)))

              ;--- DOS-Verzeichnisliste mit neuem Namen erweitern
              (setq Group_Dir (append  Group_Dir (list Verz)))

              ; Bloecke neu numerieren
              (renumberdwgs Verz)
          ))
          (setq n (1+ n))
      ) ; alle Eintrge in TSMB.DIR

      ;--- alle Gruppen in TSMB.DIR eintragen ---
      (setq Datei_Descr (open (strcat Blk_Dir "\\" Dir_Datei ".DIR") "w"))
      (setq n  0)
      (repeat (length Group_Dir)
          (write-line (strcat (nth n Group_Dir) " " (nth n Group_Nam))  Datei_Descr)
          (setq n (1+ n))
      )
      (setq Datei_Descr (close Datei_Descr))
  )


    ;----------------------------------------------------------------------------
    ;------ Hauptroutine --------------------------------------------------------
    ;--- Testen, ob arj.exe vorhanden ist ---
    (if (= (Arj_Present) "1") (progn
        ;--- Restorepfad mit Dialog bestimmen lassen ---
        (setq Quelle (getfiled (C_GT "OLD_ARCHIVE") "Blocks.exe" "EXE" 4))
        ;--- Archivdatei ist ausgewhlt ---
        (if (/= Quelle nil) (progn
            (setq Quelle (C_ConvertWINtoDOS Quelle))  ; ===KBO

            ;--- Batchdatei zum Ausfhren der DOS-Befehle ffnen ---
            (setq Batch_File (open (strcat bvprog_dir "\\MSREST.BAT") "w"))
            (if Batch_File (progn
                ;--- in das Verzeichnis der Blcke wechseln ---
                (setq Blk_Dir (blk_pfad))
                (write-line "@echo off" Batch_File)
                ;--- DWG.REC lschen, falls vorhanden ---
                (setq CmdStr (strcat "DEL " (anf_cmdstr (strcat Blk_Dir "\\DWG.REC"))))
                (write-line CmdStr Batch_File)

                ;--- Dir_Datei lschen, falls vorhanden ---
                (setq CmdStr (strcat "DEL " (anf_cmdstr (strcat Blk_Dir "\\" Dir_Datei ".OLD"))))
                (write-line CmdStr Batch_File)

                ;--- DWG.REC testhalber entpacken ---
                (setq String1 (anf_cmdstr (strcat bvprog_dir "\\arj32")))
                (setq String2 (anf_cmdstr Quelle))
                (setq String3 (anf_cmdstr "DWG.REC"))
                (setq CmdStr (strcat String1 " e -y " String2 " " String3))
                (write-line CmdStr Batch_File)

                ;--- Dir_Datei.OLD testhalber entpacken ---
                (setq String3 (anf_cmdstr (strcat Dir_Datei ".OLD")))
                (setq CmdStr (strcat String1 " e -y " String2 " " String3))
                (write-line CmdStr Batch_File)

                ;--- Batchdatei schlieen ---
                (close Batch_File)

                ;--- Batchdatei ausfhren ---
                (ms_shell (anf_cmdstr (strcat bvprog_dir "\\MSREST.BAT")))

                ;--- Testen, ob Restore aller Blcke ---
                (setq Gruppe (test_block Quelle Blk_Dir))

                ;--- Batchdatei zum Ausfhren der DOS-Befehle ffnen ---
                (setq Batch_File (open (strcat bvprog_dir "\\MSREST.BAT") "w"))
                (if Batch_File (progn
                    ;--- in das Verzeichnis der Blcke wechseln ---
                    ;--- auf das richtig Laufwerk wechseln
                    (setq CmdStr (substr Blk_dir 1 2))
                    (write-line CmdStr Batch_File)

                    ;--- Pafd setzen ---
                    (setq CmdStr (strcat "cd " (anf_cmdstr (strcat (substr Blk_dir 3)))))
                    (write-line CmdStr Batch_File)

                    ;--- Restore ---
                    (if (= Gruppe "1") (progn
                        ;--- eine Gruppe entpacken und hinzufgen ---
                        ;--- DWG.REC lschen ---
                        (grp_rest Quelle Blk_Dir)
                    )(progn
                        ;--- alle Gruppen berschreiben ---
                        (all_grp_rest Quelle Blk_Dir)
                    ))
                    ;--- Batchdatei schlieen ---
                    (close Batch_File)

                    ;--- Batchdatei ausfhren ---
                    (ms_shell (anf_cmdstr (strcat bvprog_dir "\\MSREST.BAT")))

                    ;--- alle Gruppen ---
                    (if (= Gruppe "0") (progn
                        ; --- TSMB.DIR/TSREF.DIR aktualisieren ---
                        (tsmb_akt)
                    )(progn
                        ;eine Gruppe, Bloecke neu numerieren
                        (renumberdwgs New_Dir)
                    ))
                ))
            ))
        )) ; if Quelle ausgewhlt
    )(progn
        ; --- arj.exe fehlt ---
        (setq end 1)
        (alert (C_GT "NO_ARJ"))
    )) ; if arjok
    (olderr)
; (setq ret ret)
); MS:MSBLKRES

